Subject: bug#77012: Documentation problem: odd characters in ASCII text format manual

From: Giacomo De Bello <[email-masked]>
Date: Fri, 14 Mar 2025 09:22:23 +0000

Greetings, the manual file in ASCII text format is filled with odd characters, and maybe this is a character conversion problem during the file generation.
In example, you can see the problem in the third line of the plain text manual online

https://www.gnu.org/software/grep/manual/grep.txt

I quote:

2 Invoking ‘grep’

It should be

2 Invoking grep

or

2 Invoking 'grep'

or something else. As far as I can see, the HTML format of the manual has the word "grep" between <code> tags, and I guess the problem is or was somewhat related to that, in docbook2txt or gendocs.sh; I said "was" because maybe just relaunching gendocs.sh will fix that, as the document was last updated May 13, 2023. Regards.